<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('struct_binary_op_properties.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BinaryOpProperties Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#af6bb949342cd275cd858c883fbfb2f3b">BinOpPosition</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#aab8389b3e285a4881f9fe51f04eaaeb2">BlockID_vec</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a2469466402f2ca547f9e4f98546aa5af">current_level</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#ac975bdd8407c509fae99646f4a2dbf04">FuncName</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#adb3347132a72b367c64a000f8e881ba6">getFPFeatures</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a1396f88754a6afd9de9765b10f52df2f">hasGlobalLHS</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#ac088fdfb8f91cc9fc7890f525a755f3e">isAdditiveOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#ae6b3869108ab68d320b213da1623a820">isAssignmentOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#ae3b4f1a8335d82ec2246678fbbbadf14">isBitwiseOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a5330473a4d91c9ace114bc9f12b4ce67">isComparisonOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a65391488c3c2f167dd05fa58706284a6">isCompoundAssignmentOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a7a7c22ecc82a0fba0cce3bbf816d7928">isEqualityOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a882671a1e6b9c0f39970ce7f750a8577">isFPContractableWithinStatement</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#aecd57715d3ceceadde0034b53ac1f2f5">isLogicalOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a54d9a9d667a2211ed35d7a97825ee783">isMultiplicativeOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a9bbc77be14942519102708a73201b659">isPtrMemOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a4edebb1c0b90d08a4c085425d8db5111">isRelationalOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a5c310139b725c9e83a8f317d8aae5037">isShiftAssignOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#ab1d07da54288df5b59adc69b49c1fc1d">isShiftOp</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a1ae4c44e21b77eded679b146ec556a7d">LHSExpr</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#aaea09154f414d6c7056a0ddf6e17b9e1">MatchedBlock</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#ae922e477bd81ee5c469c0047f7f88046">noOfGlobalRHS</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a313b998be8af37e2dc7ddd09e2feb2d8">noOfLocalRHS</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a1317f0ce6d07921a30f26f3e8a197579">Op</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#a9401e6949ca1d3b4d5203d731258ec69">ProcessOrService</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#aeb982f7fa93ea8155962bc4248442a19">RHSExpr</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#aae62a2d97101c66f1e0b6940f4312c83">STMTcur</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#a229a8312dd8129a9e03437ea552bc2de">STMTlast</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#aa24e6a87f4ff79c732e3a134e079f206">stmtNo</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="struct_binary_op_properties.html#ae56173882a6a0a20b066586d803ac21d">SubLevelPrp_vec</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="struct_binary_op_properties.html#ab5fdccdcf10bc5f1f94a62504b5253a5">tree</a></td><td class="entry"><a class="el" href="struct_binary_op_properties.html">BinaryOpProperties</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
